<template>
    <!-- 弹出框表单 -->
    <el-drawer
            :title="title"
            :visible.sync="open"
            :direction="direction"
            size="50%">
        <el-form ref="form" :model="form" :rules="rules" label-width="120px">
            <el-row>
                                            <Field label="考勤记录ID" prop="recordId" v-model="form.recordId" placeholder="请输入考勤记录ID"/>
                            <Field label="班次ID" prop="shiftsId" v-model="form.shiftsId" placeholder="请输入班次ID"/>
                            <Field label="班次名称" prop="shiftsName" v-model="form.shiftsName" placeholder="请输入班次名称"/>
                            <Field label="上班打卡时间" prop="goWorkDate" v-model="form.goWorkDate" type="date" />
                            <Field label="上班打卡结果" prop="goWorkResult" v-model="form.goWorkResult" type="select" :enumData="dict.goWorkResult" placeholder="请选择上班打卡结果"/>
                            <Field label="下班打卡时间" prop="offWorkDate" v-model="form.offWorkDate" type="date" />
                            <Field label="下班打卡结果" prop="offWorkResult" v-model="form.offWorkResult" type="select" :enumData="dict.offWorkResult" placeholder="请选择下班打卡结果"/>
                            <Field label="备注" prop="remark" v-model="form.remark" type="textarea" placeholder="请输入备注"/>

            </el-row>

            <form-buttons @submit='submitForm' noCancelBtn />
        </el-form>

    </el-drawer>
</template>

<script>
    import form from "@/assets/mixins/formdialog";
    export default {
        name: "AttendanceRecordDetailDetail",
        mixins: [form],
        components: {

        },
        created() {
            this.changePath("attendance/record/detail")
        },
        data() {
            return {
                // 遮罩层
                loading: true,
                // 弹出层标题
                title: "考勤打卡记录详细信息",
                // 是否显示弹出层
                open: false,
                direction:"rtl",
                toString:[
                    "goWorkResult",
                    "offWorkResult",
                ],
                toDate:[
                    "goWorkDate",
                    "offWorkDate",
                ],
                // 表单校验
                rules: {
                    createTime: [
                        {required: true,message: "请选择创建时间" },
                    ],
                }
            };
        },

        methods: {
            /** 编辑 */
            edit(row) {
                this.reset()
                this.query = { id: row.id };
                this.urls.currUrl ="attendance/record/detail/edit";
                this.getData();
                this.pageInfo.type="edit"
                this.title = "修改考勤打卡记录详细信息";
            },
            /** 新增 */
            add(row) {
                this.reset()
                this.urls.currUrl = "attendance/record/detail/add";
                this.getData();
                this.pageInfo.type="add"
                this.title = "新增考勤打卡记录详细信息";
            },
            /** 查看*/
            view(row) {
                this.reset()
                this.query = { id: row.id };
                this.urls.currUrl ="attendance/record/detail/view";
                this.getData();
                this.pageInfo.type="view"
                this.title = "考勤打卡记录详细信息详细";
            },
            /**取消按钮 */
            cancel() {
                this.open = false;
            },
            /**获取数据后弹框 */
            afterRender(data) {
                this.open = true;
            },

            afterSubmit(data) {
                this.open = false;
                this.$emit("ok");
            },

            // 表单重置
            reset() {
                this.form = {
                    recordId : null,
                    shiftsId : null,
                    shiftsName : "",
                    goWorkDate : null,
                    goWorkResult : null,
                    offWorkDate : null,
                    offWorkResult : null,
                    remark : "",
                };
                this.resetForm("form");
            },
            resetForm(refName) {
                if (this.$refs[refName]) {
                    this.$refs[refName].resetFields();
                }
            },
        },
    };
</script>
